Bug 158174 - x11/gdm: fix call to setusercontext(3)
Summary: x11/gdm: fix call to setusercontext(3)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-22 21:00 UTC by Edward Tomasz Napierala
Modified: 2011-06-25 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.27 KB, patch)
2011-06-22 21:00 UTC, Edward Tomasz Napierala
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Edward Tomasz Napierala freebsd_committer 2011-06-22 21:00:20 UTC
As it is now, the setusercontext(3) call in gdm is missing a few flags.  Attached patch fixes that by implicitly adding LOGIN_SETLOGINCLASS (neccessary for rctl resource limits), LOGIN_SETCPUMASK and LOGIN_SETMAC.  Note that I've not been able to test the MAC part.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-06-22 21:00:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jeremy Messenger freebsd_committer 2011-06-24 21:27:37 UTC
State Changed
From-To: open->feedback

It doesn't fix. It creates a bug. When I start GNOME with your patch and now 
I get this: http://people.freebsd.org/~mezz/gdm_pr158174.jpg 

Without your patch, GDM starts GNOME perfectly.
Comment 3 dfilter service freebsd_committer 2011-06-25 15:52:32 UTC
mezz        2011-06-25 14:52:19 UTC

  FreeBSD ports repository

  Modified files:
    x11/gdm              Makefile 
    x11/gdm/files        patch-daemon_gdm-session-worker.c 
  Log:
  Before, the setusercontext(3) call in gdm is missing a few flags. Replace
  those LOGIN_* to LOGIN_SETALL to enable all but not LOGIN_SETGROUP. It fixes
  the rctl resource limits. Note that, the MAC framework is untest with it.
  Bump the PORTREVISION.
  
  PR:             ports/158174
  Submitted by:   trasz
  
  Revision  Changes    Path
  1.138     +1 -1      ports/x11/gdm/Makefile
  1.5       +8 -11     ports/x11/gdm/files/patch-daemon_gdm-session-worker.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Jeremy Messenger freebsd_committer 2011-06-25 15:52:35 UTC
State Changed
From-To: feedback->closed

Committed, thanks!